#include <assert.h>
#include <itk/operation.h>

#ifndef DO_ITK_INLINE
#include <itk/operation.inl>
#endif


SIMPLE_EMPTY_CONSTRUCTOR( Operation)
EMPTY_DESTRUCTOR( Operation)

bool
Operation::operate( Raster &raster)
{
  assert( !"Should not be in Operation::operate( Raster &)");
  return false;
}


bool
Operation::operate( const Raster &raster)
{
  assert( !"Should not be in Operation::operate( const Raster &)");
  return false;
}
